Bug 636715 - Dashboard: Tabbing through elements in Edit/View modes has no discernible order
Dashboard: Tabbing through elements in Edit/View modes has no discernible order
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon30-dashboard jon3
  Show dependency treegraph
 
Reported: 2010-09-22 22:01 EDT by Corey Welton
Modified: 2014-05-02 14:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 14:02:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-09-22 22:01:28 EDT
Description of problem:
If user attempts to tab through elements in either of the view modes for 

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.  Create a new dash and add a bunch of standard portlets across multiple columns.
2.  Place mouse focus somewhere atop the page -- like in the search field, for instance.
3.  Hit tab a good 15-30 times; view results
  
Actual results:
Focus shoots all over the UI in no real understandable order.  Sometimes focus will be in some of the elements, go back up to browser URL bar and then back down into other elements.  In any case, we seem to be navigating through any particular portlet ok (i think) but once we switch away, all bets are off.

Expected results:

Sane tab navigation

Additional info:
If we ever plan(ned) to do any a11y work for JON, this would be pretty significant.
Comment 1 Jay Shaughnessy 2011-03-31 09:55:19 EDT
removing this as a blocker for rhq4. no work planned on this issue.

Note You need to log in before you can comment on or make changes to this bug.